unit preferences;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, uEmerald;

type
  TfmPreferences = class(TForm)
    gbKeyValidation: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    rbKeyValidation: TRadioButton;
    Label4: TLabel;
    rbNoKeyValidation: TRadioButton;
    gbKeyFile: TGroupBox;
    Label5: TLabel;
    cbKeyFileSecurity: TComboBox;
    btnCancel: TButton;
    btnOK: TButton;
    btnGenerate: TButton;
    SaveDialog: TSaveDialog;
    Emerald: TEmerald;
    procedure FormCreate(Sender: TObject);
    procedure btnGenerateClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmPreferences: TfmPreferences;

implementation

{$R *.DFM}

procedure TfmPreferences.FormCreate(Sender: TObject);
begin
  cbKeyFileSecurity.ItemIndex := 2;
end;

procedure TfmPreferences.btnGenerateClick(Sender: TObject);
var
  Number: Integer;
begin
  // Get a file name:
  if not SaveDialog.Execute then Exit;

  // How many lines?
  Number := 15; // default
  case cbKeyFileSecurity.ItemIndex of
    0: Number := 5;
    1: Number := 10;
    2: Number := 15;
    3: Number := 20;
    4: Number := 30;
    5: Number := 40;
    6: Number := 50;
  end;

  // Generate:
  Emerald.GenerateKeyFile(SaveDialog.FileName,Number);
end;

end.
